libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::internal::namedclass Class Reference

`#include <util.hxx>`

Inheritance diagram for pqxx::internal::namedclass:

## Public Member Functions

| namedclass (const std::string &Classname, const std::string &Name="")
const std::string & | name () const throw ()
const std::string & | classname () const throw ()
std::string | description () const

## Constructor & Destructor Documentation

pqxx::internal::namedclass::namedclass | ( | const std::string & | Classname,
|  | const std::string & | Name = `""`
| ) |  |

## Member Function Documentation

const std::string& pqxx::internal::namedclass::classname | ( |  | ) | const throw ()

string pqxx::internal::namedclass::description | ( |  | ) | const

Referenced by pqxx::internal::CheckUniqueRegistration(), and pqxx::internal::CheckUniqueUnregistration().

const std::string& pqxx::internal::namedclass::name | ( |  | ) | const throw ()

The documentation for this class was generated from the following files:

- util.hxx
- util.cxx